"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getDependenciesKeyFrom = (props) => {
    var _a, _b;
    const { dependencyComponentVariables } = ((_b = (_a = props) === null || _a === void 0 ? void 0 : _a.field) === null || _b === void 0 ? void 0 : _b.options) || {};
    const dynamicDependencies = [];
    if (dependencyComponentVariables && dependencyComponentVariables.length) {
        dependencyComponentVariables.forEach((key) => {
            if (props.object.get(key) != null) {
                dynamicDependencies.push(props.object.get(key));
            }
        });
        return dynamicDependencies.join('-');
    }
    return '';
};
//# sourceMappingURL=getDependenciesKeyFrom.js.map