"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const safeEvaluate = (code, context = {}) => {
    let result = null;
    try {
        const fn = new Function(`return ${code}`)();
        result = fn(context);
    }
    catch (e) {
        console.error('safeEvaluate error: ', e);
    }
    return result;
};
exports.safeEvaluate = safeEvaluate;
//# sourceMappingURL=mapperEvaluator.js.map